// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
form(nz-form, [nzLayout]="'vertical'", [formGroup]="validateForm", (ngSubmit)="submitForm()")
  .ryax-centering
    nz-form-item
      nz-form-label(nzRequired) New User Name
      nz-form-control(nzHasFeedback, nzErrorTip="Please input your user name!")
        input(nz-input type="username", formControlName="username")
  .ryax-centering
    button(nz-button, nzType="primary", [disabled]="!validateForm.valid") Save
    button(nz-button, (click)="cancel()") Cancel
